#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './uiprefbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "uiprefbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <kurllabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurllabel.h"

/*
 *  Constructs a Kita::UIPrefBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Kita::UIPrefBase::UIPrefBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Kita::UIPrefBase" );
    UIPrefBaseLayout = new QVBoxLayout( this, 11, 6, "UIPrefBaseLayout"); 

    useTabCheckBox = new QCheckBox( this, "useTabCheckBox" );
    UIPrefBaseLayout->addWidget( useTabCheckBox );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    MarkLabel = new QLabel( this, "MarkLabel" );
    layout2->addWidget( MarkLabel );
    spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer6 );

    MarkTimespinBox = new QSpinBox( this, "MarkTimespinBox" );
    MarkTimespinBox->setMaxValue( 24 );
    MarkTimespinBox->setMinValue( 0 );
    MarkTimespinBox->setValue( 24 );
    layout2->addWidget( MarkTimespinBox );
    UIPrefBaseLayout->addLayout( layout2 );

    buttonGroup3 = new QButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setColumnLayout(0, Qt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new QVBoxLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( buttonGroup3, "textLabel1" );
    buttonGroup3Layout->addWidget( textLabel1 );

    showMailCheckBox = new QCheckBox( buttonGroup3, "showMailCheckBox" );
    buttonGroup3Layout->addWidget( showMailCheckBox );

    layout13_2 = new QHBoxLayout( 0, 0, 6, "layout13_2"); 

    showNumSpin = new QSpinBox( buttonGroup3, "showNumSpin" );
    showNumSpin->setWrapping( TRUE );
    showNumSpin->setMaxValue( 1000 );
    showNumSpin->setLineStep( 50 );
    showNumSpin->setValue( 100 );
    layout13_2->addWidget( showNumSpin );

    textLabel3_2 = new QLabel( buttonGroup3, "textLabel3_2" );
    layout13_2->addWidget( textLabel3_2 );
    spacer11_2_2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout13_2->addItem( spacer11_2_2 );
    buttonGroup3Layout->addLayout( layout13_2 );
    UIPrefBaseLayout->addWidget( buttonGroup3 );

    orderGroup = new QButtonGroup( this, "orderGroup" );
    orderGroup->setColumnLayout(0, Qt::Vertical );
    orderGroup->layout()->setSpacing( 6 );
    orderGroup->layout()->setMargin( 11 );
    orderGroupLayout = new QVBoxLayout( orderGroup->layout() );
    orderGroupLayout->setAlignment( Qt::AlignTop );

    unreadFirstRadio = new QRadioButton( orderGroup, "unreadFirstRadio" );
    unreadFirstRadio->setChecked( TRUE );
    orderGroup->insert( unreadFirstRadio, 0 );
    orderGroupLayout->addWidget( unreadFirstRadio );

    numOrderRadio = new QRadioButton( orderGroup, "numOrderRadio" );
    orderGroup->insert( numOrderRadio, 1 );
    orderGroupLayout->addWidget( numOrderRadio );
    UIPrefBaseLayout->addWidget( orderGroup );

    extPartGroup = new QGroupBox( this, "extPartGroup" );
    extPartGroup->setColumnLayout(0, Qt::Vertical );
    extPartGroup->layout()->setSpacing( 6 );
    extPartGroup->layout()->setMargin( 11 );
    extPartGroupLayout = new QGridLayout( extPartGroup->layout() );
    extPartGroupLayout->setAlignment( Qt::AlignTop );

    partMimeList = new QLineEdit( extPartGroup, "partMimeList" );

    extPartGroupLayout->addWidget( partMimeList, 2, 0 );

    useExtPartCheck = new QCheckBox( extPartGroup, "useExtPartCheck" );
    useExtPartCheck->setChecked( TRUE );

    extPartGroupLayout->addWidget( useExtPartCheck, 0, 0 );

    mimeListLabel = new QLabel( extPartGroup, "mimeListLabel" );

    extPartGroupLayout->addWidget( mimeListLabel, 1, 0 );
    UIPrefBaseLayout->addWidget( extPartGroup );

    editFileAssociation = new KURLLabel( this, "editFileAssociation" );
    UIPrefBaseLayout->addWidget( editFileAssociation );
    spacer2 = new QSpacerItem( 30, 70, QSizePolicy::Minimum, QSizePolicy::Expanding );
    UIPrefBaseLayout->addItem( spacer2 );
    languageChange();
    resize( QSize(646, 534).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( useExtPartCheck, SIGNAL( toggled(bool) ), partMimeList, SLOT( setEnabled(bool) ) );
    connect( useExtPartCheck, SIGNAL( toggled(bool) ), mimeListLabel, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Kita::UIPrefBase::~UIPrefBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Kita::UIPrefBase::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    useTabCheckBox->setText( tr2i18n( "Use new tab when opening the thread(board)." ) );
    MarkLabel->setText( tr2i18n( "Mark new thread to made:" ) );
    MarkTimespinBox->setPrefix( tr2i18n( "within " ) );
    MarkTimespinBox->setSuffix( tr2i18n( " hour" ) );
    MarkTimespinBox->setSpecialValueText( tr2i18n( "after last access" ) );
    QToolTip::add( MarkTimespinBox, QString::null );
    buttonGroup3->setTitle( tr2i18n( "Thread" ) );
    textLabel1->setText( tr2i18n( "this option affects from the next thread." ) );
    showMailCheckBox->setText( tr2i18n( "Show mail address in the thread." ) );
    showNumSpin->setPrefix( tr2i18n( "Display " ) );
    showNumSpin->setSuffix( tr2i18n( " res" ) );
    showNumSpin->setSpecialValueText( tr2i18n( "Display all res" ) );
    textLabel3_2->setText( tr2i18n( "around the last read response." ) );
    orderGroup->setTitle( tr2i18n( "When open the board" ) );
    unreadFirstRadio->setText( tr2i18n( "Show unread thread first" ) );
    numOrderRadio->setText( tr2i18n( "Show thread in numerical order" ) );
    extPartGroup->setTitle( tr2i18n( "Parts" ) );
    useExtPartCheck->setText( tr2i18n( "Use other Part to open external link" ) );
    mimeListLabel->setText( tr2i18n( "If mime type include this list ( comma separated list )" ) );
    QToolTip::add( mimeListLabel, QString::null );
    editFileAssociation->setText( tr2i18n( "Edit file association..." ) );
}

#include "uiprefbase.moc"
