#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './writedialogbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "writedialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <ksqueezedtextlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <qtabwidget.h>
#include <qtextedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ksqueezedtextlabel.h"
#include "klineedit.h"
#include "./writedialogbase.ui.h"

/*
 *  Constructs a KitaWriteDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KitaWriteDialogBase::KitaWriteDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KitaWriteDialogBase" );
    KitaWriteDialogBaseLayout = new QVBoxLayout( this, 11, 6, "KitaWriteDialogBaseLayout"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( textLabel1 );

    boardNameLabel = new KSqueezedTextLabel( this, "boardNameLabel" );
    boardNameLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 1, 0, boardNameLabel->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( boardNameLabel );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    layout4->addWidget( textLabel1_2 );

    threadName = new KLineEdit( this, "threadName" );
    threadName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 3, 0, threadName->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( threadName );
    KitaWriteDialogBaseLayout->addLayout( layout4 );

    layout4_2 = new QHBoxLayout( 0, 0, 6, "layout4_2"); 

    nameLabel = new QLabel( this, "nameLabel" );
    layout4_2->addWidget( nameLabel );

    nameLine = new KLineEdit( this, "nameLine" );
    layout4_2->addWidget( nameLine );

    mailLabel = new QLabel( this, "mailLabel" );
    layout4_2->addWidget( mailLabel );

    mailLine = new KLineEdit( this, "mailLine" );
    layout4_2->addWidget( mailLine );

    sageBox = new QCheckBox( this, "sageBox" );
    layout4_2->addWidget( sageBox );

    beBox = new QCheckBox( this, "beBox" );
    layout4_2->addWidget( beBox );
    KitaWriteDialogBaseLayout->addLayout( layout4_2 );

    qtw = new QTabWidget( this, "qtw" );

    bodyText = new QTextEdit( qtw, "bodyText" );
    qtw->insertTab( bodyText, QString::fromLatin1("") );
    KitaWriteDialogBaseLayout->addWidget( qtw );

    layout4_3 = new QHBoxLayout( 0, 0, 6, "layout4_3"); 

    faceCombo = new QComboBox( FALSE, this, "faceCombo" );
    layout4_3->addWidget( faceCombo );
    Horizontal_Spacing2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4_3->addItem( Horizontal_Spacing2 );

    lengthLabel = new QLabel( this, "lengthLabel" );
    layout4_3->addWidget( lengthLabel );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout4_3->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    layout4_3->addWidget( buttonCancel );
    KitaWriteDialogBaseLayout->addLayout( layout4_3 );
    languageChange();
    resize( QSize(534, 380).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sageBox, SIGNAL( toggled(bool) ), this, SLOT( sageBoxToggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KitaWriteDialogBase::~KitaWriteDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KitaWriteDialogBase::languageChange()
{
    setCaption( tr2i18n( "Write in thread" ) );
    textLabel1->setText( tr2i18n( "Board:" ) );
    boardNameLabel->setText( tr2i18n( "board name" ) );
    textLabel1_2->setText( tr2i18n( "Thread:" ) );
    nameLabel->setText( tr2i18n( "name" ) );
    mailLabel->setText( tr2i18n( "mail" ) );
    sageBox->setText( tr2i18n( "&sage" ) );
    sageBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    beBox->setText( tr2i18n( "&be" ) );
    beBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    qtw->changeTab( bodyText, tr2i18n( "body" ) );
    lengthLabel->setText( tr2i18n( "XX/XX | XXXX/XXXX" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

#include "writedialogbase.moc"
