#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './threadlistviewbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "threadlistviewbase.h"

#include <qvariant.h>
#include <qcombobox.h>
#include <qtoolbutton.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"

/*
 *  Constructs a Kita::ThreadListViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Kita::ThreadListViewBase::ThreadListViewBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Kita::ThreadListViewBase" );
    ThreadListViewBaseLayout = new QVBoxLayout( this, 0, 0, "ThreadListViewBaseLayout"); 

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    SearchCombo = new QComboBox( FALSE, this, "SearchCombo" );
    SearchCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, SearchCombo->sizePolicy().hasHeightForWidth() ) );
    SearchCombo->setMinimumSize( QSize( 200, 0 ) );
    SearchCombo->setEditable( TRUE );
    SearchCombo->setSizeLimit( 10 );
    layout3->addWidget( SearchCombo );

    SearchButton = new QToolButton( this, "SearchButton" );
    layout3->addWidget( SearchButton );

    HideButton = new QToolButton( this, "HideButton" );
    HideButton->setToggleButton( TRUE );
    layout3->addWidget( HideButton );

    ReloadButton = new QToolButton( this, "ReloadButton" );
    ReloadButton->setToggleButton( FALSE );
    layout3->addWidget( ReloadButton );

    KindLabel = new QLabel( this, "KindLabel" );
    KindLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, KindLabel->sizePolicy().hasHeightForWidth() ) );
    KindLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    KindLabel->setIndent( 5 );
    layout3->addWidget( KindLabel );
    spacer1 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    closeButton = new QToolButton( this, "closeButton" );
    closeButton->setEnabled( FALSE );
    layout3->addWidget( closeButton );
    ThreadListViewBaseLayout->addLayout( layout3 );

    subjectList = new KListView( this, "subjectList" );
    subjectList->setAllColumnsShowFocus( TRUE );
    ThreadListViewBaseLayout->addWidget( subjectList );
    languageChange();
    resize( QSize(601, 483).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Kita::ThreadListViewBase::~ThreadListViewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Kita::ThreadListViewBase::languageChange()
{
    setCaption( tr2i18n( "Form2" ) );
    SearchButton->setText( tr2i18n( "Search" ) );
    QToolTip::add( SearchButton, tr2i18n( "search word" ) );
    HideButton->setText( tr2i18n( "Hide" ) );
    QToolTip::add( HideButton, tr2i18n( "filter thread" ) );
    ReloadButton->setText( tr2i18n( "Reload" ) );
    QToolTip::add( ReloadButton, tr2i18n( "reload board" ) );
    QToolTip::add( KindLabel, tr2i18n( "unread/read/new threads" ) );
    closeButton->setText( tr2i18n( "Close" ) );
    QToolTip::add( closeButton, tr2i18n( "close tab" ) );
}

#include "threadlistviewbase.moc"
