#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './favoriteswindowbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "favoriteswindowbase.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qtoolbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtoolbar.h>
#include "klistview.h"

/*
 *  Constructs a FavoritesWindowBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
FavoritesWindowBase::FavoritesWindowBase( QWidget* parent, const char* name, WFlags fl )
    : QMainWindow( parent, name, fl )
{
    (void)statusBar();
    if ( !name )
	setName( "FavoritesWindowBase" );
    setCentralWidget( new QWidget( this, "qt_central_widget" ) );
    FavoritesWindowBaseLayout = new QHBoxLayout( centralWidget(), 11, 6, "FavoritesWindowBaseLayout"); 

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 
    spacer1 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout3->addItem( spacer1 );

    buttonGroup2 = new QButtonGroup( centralWidget(), "buttonGroup2" );

    leftButton = new QToolButton( buttonGroup2, "leftButton" );
    leftButton->setGeometry( QRect( 10, 50, 30, 27 ) );

    rightButton = new QToolButton( buttonGroup2, "rightButton" );
    rightButton->setGeometry( QRect( 70, 50, 30, 27 ) );

    upButton = new QToolButton( buttonGroup2, "upButton" );
    upButton->setGeometry( QRect( 40, 20, 30, 27 ) );

    downButton = new QToolButton( buttonGroup2, "downButton" );
    downButton->setGeometry( QRect( 40, 80, 30, 27 ) );
    layout3->addWidget( buttonGroup2 );
    spacer1_2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout3->addItem( spacer1_2 );
    FavoritesWindowBaseLayout->addLayout( layout3 );

    favoritesEditorList = new KListView( centralWidget(), "favoritesEditorList" );
    favoritesEditorList->addColumn( tr2i18n( "Name" ) );
    favoritesEditorList->setAcceptDrops( TRUE );
    favoritesEditorList->setRootIsDecorated( TRUE );
    FavoritesWindowBaseLayout->addWidget( favoritesEditorList );

    // actions
    fileNewAction = new QAction( this, "fileNewAction" );
    fileOpenAction = new QAction( this, "fileOpenAction" );
    fileSaveAction = new QAction( this, "fileSaveAction" );
    fileSaveAsAction = new QAction( this, "fileSaveAsAction" );
    fileExitAction = new QAction( this, "fileExitAction" );
    editUndoAction = new QAction( this, "editUndoAction" );
    editRedoAction = new QAction( this, "editRedoAction" );
    editCutAction = new QAction( this, "editCutAction" );
    editCopyAction = new QAction( this, "editCopyAction" );
    editPasteAction = new QAction( this, "editPasteAction" );
    editFindAction = new QAction( this, "editFindAction" );
    helpContentsAction = new QAction( this, "helpContentsAction" );
    helpIndexAction = new QAction( this, "helpIndexAction" );
    helpAboutAction = new QAction( this, "helpAboutAction" );
    fileNewDirAction = new QAction( this, "fileNewDirAction" );


    // toolbars
    toolBar = new QToolBar( QString(""), this, DockTop ); 

    fileSaveAction->addTo( toolBar );
    fileNewDirAction->addTo( toolBar );


    // menubar
    MenuBar = new QMenuBar( this, "MenuBar" );


    fileMenu = new QPopupMenu( this );
    fileNewAction->addTo( fileMenu );
    fileOpenAction->addTo( fileMenu );
    fileSaveAction->addTo( fileMenu );
    fileSaveAsAction->addTo( fileMenu );
    fileMenu->insertSeparator();
    fileExitAction->addTo( fileMenu );
    MenuBar->insertItem( QString(""), fileMenu, 1 );

    editMenu = new QPopupMenu( this );
    editUndoAction->addTo( editMenu );
    editRedoAction->addTo( editMenu );
    editMenu->insertSeparator();
    editCutAction->addTo( editMenu );
    editCopyAction->addTo( editMenu );
    editPasteAction->addTo( editMenu );
    editMenu->insertSeparator();
    editFindAction->addTo( editMenu );
    MenuBar->insertItem( QString(""), editMenu, 2 );

    helpMenu = new QPopupMenu( this );
    helpContentsAction->addTo( helpMenu );
    helpIndexAction->addTo( helpMenu );
    helpMenu->insertSeparator();
    helpAboutAction->addTo( helpMenu );
    MenuBar->insertItem( QString(""), helpMenu, 3 );

    languageChange();
    resize( QSize(600, 504).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( fileNewAction, SIGNAL( activated() ), this, SLOT( fileNew() ) );
    connect( fileOpenAction, SIGNAL( activated() ), this, SLOT( fileOpen() ) );
    connect( fileSaveAction, SIGNAL( activated() ), this, SLOT( fileSave() ) );
    connect( fileSaveAsAction, SIGNAL( activated() ), this, SLOT( fileSaveAs() ) );
    connect( fileExitAction, SIGNAL( activated() ), this, SLOT( fileExit() ) );
    connect( editUndoAction, SIGNAL( activated() ), this, SLOT( editUndo() ) );
    connect( editRedoAction, SIGNAL( activated() ), this, SLOT( editRedo() ) );
    connect( editCutAction, SIGNAL( activated() ), this, SLOT( editCut() ) );
    connect( editCopyAction, SIGNAL( activated() ), this, SLOT( editCopy() ) );
    connect( editPasteAction, SIGNAL( activated() ), this, SLOT( editPaste() ) );
    connect( editFindAction, SIGNAL( activated() ), this, SLOT( editFind() ) );
    connect( helpIndexAction, SIGNAL( activated() ), this, SLOT( helpIndex() ) );
    connect( helpContentsAction, SIGNAL( activated() ), this, SLOT( helpContents() ) );
    connect( helpAboutAction, SIGNAL( activated() ), this, SLOT( helpAbout() ) );
    connect( fileNewDirAction, SIGNAL( activated() ), this, SLOT( fileNewDir() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FavoritesWindowBase::~FavoritesWindowBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FavoritesWindowBase::languageChange()
{
    setCaption( tr2i18n( "Favorites" ) );
    buttonGroup2->setTitle( tr2i18n( "move" ) );
    leftButton->setText( tr2i18n( "..." ) );
    rightButton->setText( tr2i18n( "..." ) );
    upButton->setText( tr2i18n( "..." ) );
    downButton->setText( tr2i18n( "..." ) );
    favoritesEditorList->header()->setLabel( 0, tr2i18n( "Name" ) );
    fileNewAction->setText( tr2i18n( "New" ) );
    fileNewAction->setMenuText( tr2i18n( "&New" ) );
    fileNewAction->setAccel( tr2i18n( "Ctrl+N" ) );
    fileOpenAction->setText( tr2i18n( "Open" ) );
    fileOpenAction->setMenuText( tr2i18n( "&Open..." ) );
    fileOpenAction->setAccel( tr2i18n( "Ctrl+O" ) );
    fileSaveAction->setText( tr2i18n( "Save" ) );
    fileSaveAction->setMenuText( tr2i18n( "&Save" ) );
    fileSaveAction->setAccel( tr2i18n( "Ctrl+S" ) );
    fileSaveAsAction->setText( tr2i18n( "Save As" ) );
    fileSaveAsAction->setMenuText( tr2i18n( "Save &As..." ) );
    fileSaveAsAction->setAccel( QString::null );
    fileExitAction->setText( tr2i18n( "Exit" ) );
    fileExitAction->setMenuText( tr2i18n( "E&xit" ) );
    fileExitAction->setAccel( QString::null );
    editUndoAction->setText( tr2i18n( "Undo" ) );
    editUndoAction->setMenuText( tr2i18n( "&Undo" ) );
    editUndoAction->setAccel( tr2i18n( "Ctrl+Z" ) );
    editRedoAction->setText( tr2i18n( "Redo" ) );
    editRedoAction->setMenuText( tr2i18n( "&Redo" ) );
    editRedoAction->setAccel( tr2i18n( "Ctrl+Y" ) );
    editCutAction->setText( tr2i18n( "Cut" ) );
    editCutAction->setMenuText( tr2i18n( "&Cut" ) );
    editCutAction->setAccel( tr2i18n( "Ctrl+X" ) );
    editCopyAction->setText( tr2i18n( "Copy" ) );
    editCopyAction->setMenuText( tr2i18n( "C&opy" ) );
    editCopyAction->setAccel( tr2i18n( "Ctrl+C" ) );
    editPasteAction->setText( tr2i18n( "Paste" ) );
    editPasteAction->setMenuText( tr2i18n( "&Paste" ) );
    editPasteAction->setAccel( tr2i18n( "Ctrl+V" ) );
    editFindAction->setText( tr2i18n( "Find" ) );
    editFindAction->setMenuText( tr2i18n( "&Find..." ) );
    editFindAction->setAccel( tr2i18n( "Ctrl+F" ) );
    helpContentsAction->setText( tr2i18n( "Contents" ) );
    helpContentsAction->setMenuText( tr2i18n( "&Contents..." ) );
    helpContentsAction->setAccel( QString::null );
    helpIndexAction->setText( tr2i18n( "Index" ) );
    helpIndexAction->setMenuText( tr2i18n( "&Index..." ) );
    helpIndexAction->setAccel( QString::null );
    helpAboutAction->setText( tr2i18n( "About" ) );
    helpAboutAction->setMenuText( tr2i18n( "&About" ) );
    helpAboutAction->setAccel( QString::null );
    fileNewDirAction->setText( tr2i18n( "New Directory" ) );
    fileNewDirAction->setMenuText(tr2i18n( "New Directory" ));
    toolBar->setLabel( tr2i18n( "Tools" ) );
    if (MenuBar->findItem(1))
        MenuBar->findItem(1)->setText( tr2i18n( "&File" ) );
    if (MenuBar->findItem(2))
        MenuBar->findItem(2)->setText( tr2i18n( "&Edit" ) );
    if (MenuBar->findItem(3))
        MenuBar->findItem(3)->setText( tr2i18n( "&Help" ) );
}

void FavoritesWindowBase::fileNew()
{
    qWarning( "FavoritesWindowBase::fileNew(): Not implemented yet" );
}

void FavoritesWindowBase::fileNewDir()
{
    qWarning( "FavoritesWindowBase::fileNewDir(): Not implemented yet" );
}

void FavoritesWindowBase::fileOpen()
{
    qWarning( "FavoritesWindowBase::fileOpen(): Not implemented yet" );
}

void FavoritesWindowBase::fileSave()
{
    qWarning( "FavoritesWindowBase::fileSave(): Not implemented yet" );
}

void FavoritesWindowBase::fileSaveAs()
{
    qWarning( "FavoritesWindowBase::fileSaveAs(): Not implemented yet" );
}

void FavoritesWindowBase::filePrint()
{
    qWarning( "FavoritesWindowBase::filePrint(): Not implemented yet" );
}

void FavoritesWindowBase::fileExit()
{
    qWarning( "FavoritesWindowBase::fileExit(): Not implemented yet" );
}

void FavoritesWindowBase::editUndo()
{
    qWarning( "FavoritesWindowBase::editUndo(): Not implemented yet" );
}

void FavoritesWindowBase::editRedo()
{
    qWarning( "FavoritesWindowBase::editRedo(): Not implemented yet" );
}

void FavoritesWindowBase::editCut()
{
    qWarning( "FavoritesWindowBase::editCut(): Not implemented yet" );
}

void FavoritesWindowBase::editCopy()
{
    qWarning( "FavoritesWindowBase::editCopy(): Not implemented yet" );
}

void FavoritesWindowBase::editPaste()
{
    qWarning( "FavoritesWindowBase::editPaste(): Not implemented yet" );
}

void FavoritesWindowBase::editFind()
{
    qWarning( "FavoritesWindowBase::editFind(): Not implemented yet" );
}

void FavoritesWindowBase::helpIndex()
{
    qWarning( "FavoritesWindowBase::helpIndex(): Not implemented yet" );
}

void FavoritesWindowBase::helpContents()
{
    qWarning( "FavoritesWindowBase::helpContents(): Not implemented yet" );
}

void FavoritesWindowBase::helpAbout()
{
    qWarning( "FavoritesWindowBase::helpAbout(): Not implemented yet" );
}

#include "favoriteswindowbase.moc"
